post
https://rest-api.hellomoon.io/v0/staking/actions
NOTE: This endpoint is only callable by API keys in the following tiers:
- Business
- Developer
- Enterprise
- PremiumSharedRpc
- StarterSharedRpc
- UltimateSharedRpc
Get information about staking account delegations, 'Activate', and 'Deactivate' with the staked amount, vote account, and stake authority.
Data goes back 30 days
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Examples
Get delegation info on a stake account
const axios = require("axios");
const url = "https://rest-api.hellomoon.io/v0/staking/actions";
async function getDelegationInfo() {
const { data } = await axios.post(
url,
{
"stakeAccount": "98CwUi4SqDuSJoXRStFdk7wontYi7jmDghCRHSbTpj6u"
},
{
headers: {
Accept: "application/json",
"Content-Type": "application/json",
Authorization: "Bearer <your_token>",
},
}
);
console.log(data);
}